classification
Title: pybsddb leak in using cursors
Type: resource usage Stage:
Components: Extension Modules Versions: Python 2.6, Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: gregory.p.smith, jcea, loewis
Priority: normal Keywords:

Created on 2008-01-30 16:48 by jcea, last changed 2008-02-03 08:17 by gregory.p.smith. This issue is now closed.

Messages (7)
msg61871 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2008-01-30 16:48
Iterating a cursor over a database seems to leak memory. See
http://sourceforge.net/mailarchive/forum.php?thread_name=4797B7D0.8060701%40gmail.com&forum_name=pybsddb-users
msg61890 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2008-01-31 08:56
Seems to be a leak when a cursor is used in a database without an
environment. Working on this...
msg61891 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2008-01-31 09:08
Memory leak solved. Commit 293 in Sourceforge
msg61919 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-01-31 18:05
Greg, can you take a look?
msg61920 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-01-31 18:06
jcea, can you please attach the actual patch to be reviewed to this
report? What is commit 293 in SourceForge?
msg61969 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-02-01 18:04
yes i'll take a look at this weekend.

jcea is doing his bsddb development in the pybsddb.sf.net project svn
repository for the time being.  I'll be merging his changes back into
the python tree.

We can get him python svn access soon but i wanted to make sure things
were going smoothly first.
msg62022 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-02-03 08:17
Fix committed as r60544 in trunk and r60545 in release25-maint.

i assume it'll be merged into py3k in the regular py3k merge sweeps.
History
Date User Action Args
2008-02-03 08:17:27gregory.p.smithsetstatus: open -> closed
resolution: accepted
messages: + msg62022
versions: + Python 2.6, Python 2.5
2008-02-01 18:04:25gregory.p.smithsetmessages: + msg61969
2008-01-31 18:06:22loewissetmessages: + msg61920
2008-01-31 18:05:20loewissetassignee: gregory.p.smith
messages: + msg61919
nosy: + gregory.p.smith, loewis
2008-01-31 09:08:46jceasetmessages: + msg61891
2008-01-31 08:56:05jceasetmessages: + msg61890
2008-01-30 16:48:47jceasettype: resource usage
severity: normal -> major
2008-01-30 16:48:26jceacreate